import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'
import {resolve} from "path";

// https://vitejs.dev/config/
export default defineConfig({
  plugins: [vue()],
  base: '/',
  resolve: {
    alias: {
      '@': resolve(__dirname, 'src'),
    },
  },
  server: {
    port: 1006,
    // open: true,
    https: false,
    base: '/',
    host: '0.0.0.0',
    strictPort: false,
    proxy: {
      '/api': {
        // target: 'http://localhost:8080/',
        target: 'http://120.25.74.229:8000/',
        // target: 'http://192.168.1.110:8080/',
        changeOrigin: true,
        rewrite: path => {
          return path.replace(/^\/api/, '')
        }
      },
      '/EzServer6-api': {
        target: 'http://74.10.28.116:8090/',
        changeOrigin: true,
        rewrite: path => {
          return path
        }
      },
    }
  },
  build: {
    outDir: "seat-tools",
  },
  publicDir: 'src/out',
  optimizeDeps: {
    include: []
  }
})
